using System;

internal sealed class Delegate51 : MulticastDelegate
{
	public extern string Invoke(string string_0, string string_1, string string_2);

	public static string smethod_0(string string_0, string string_1, string string_2, Delegate51 delegate51_1)
	{
		return delegate51_1(string_0, string_1, string_2);
	}

	public extern Delegate51(object object_0, IntPtr intptr_0);

	static Delegate51()
	{
		Class10.smethod_13(typeof(Delegate51).TypeHandle);
	}

	internal static Delegate51 delegate51_0;
}
